aboutsummaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
authorUlas Kozat <ulas.kozat@gmail.com>2016-07-01 12:21:19 -0700
committerUlas Kozat <ulas.kozat@gmail.com>2016-07-01 13:23:07 -0700
commit7aaf46c22b09c76bb096b4e24b99f01ee978fcd9 (patch)
tree3c51bb1f63682dd04beedbfa026b68d89365d78f /tests/run.sh
parent507a7981753397fcf69d31888a5fcfb540910b7a (diff)
return FAILED status when no file is generated for distribution
add tests/logdata/ to make CI happy Change-Id: I01e0b9feebd5dee2175999e78885abf7124a8410 Signed-off-by: Ulas Kozat <ulas.kozat@gmail.com>
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 33c2749..bf92609 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -112,7 +112,7 @@ sleep 1
echo "Test Publish API"
python domino-cli.py $CLIENT1_CLIPORT publish -t "$toscafile_test1"
-sleep 5
+sleep 1
#echo "Stopping Domino Client 1..."
#stop_client1
@@ -122,6 +122,7 @@ sleep 5
cut -d " " -f 4- "$client1_log" > file1
#will use the form below to declare success or failure
+set +e
diff -q file1 "$test1_reffile" 1>/dev/null
if [[ $? == "0" ]]
then
@@ -129,6 +130,7 @@ then
else
echo "FAILURE"
fi
-
+set -e
echo "done"
+